Package com.clickhouse.jdbc.parser

# Enum StatementType

java.lang.Object
java.lang.Enum<StatementType>
com.clickhouse.jdbc.parser.StatementType

All Implemented Interfaces:
  `Serializable`, `Comparable<StatementType>`, `java.lang.constant.Constable`

@Deprecated public enum StatementType extends Enum<StatementType>
Deprecated.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALTER`
Deprecated.
`ALTER_DELETE`
Deprecated.
`ALTER_UPDATE`
Deprecated.
`ATTACH`
Deprecated.
`CHECK`
Deprecated.
`CREATE`
Deprecated.
`DELETE`
Deprecated.
`DESCRIBE`
Deprecated.
`DETACH`
Deprecated.
`DROP`
Deprecated.
`EXISTS`
Deprecated.
`EXPLAIN`
Deprecated.
`GRANT`
Deprecated.
`INSERT`
Deprecated.
`KILL`
Deprecated.
`OPTIMIZE`
Deprecated.
`RENAME`
Deprecated.
`REVOKE`
Deprecated.
`SELECT`
Deprecated.
`SET`
Deprecated.
`SHOW`
Deprecated.
`SYSTEM`
Deprecated.
`TRANSACTION`
Deprecated.
`TRUNCATE`
Deprecated.
`UNKNOWN`
Deprecated.
`UPDATE`
Deprecated.
`USE`
Deprecated.
`WATCH`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static StatementType`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static StatementType[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final StatementType UNKNOWN
Deprecated.

### ALTER

public static final StatementType ALTER
Deprecated.

### ALTER_DELETE

public static final StatementType ALTER_DELETE
Deprecated.

### ALTER_UPDATE

public static final StatementType ALTER_UPDATE
Deprecated.

### ATTACH

public static final StatementType ATTACH
Deprecated.

### CHECK

public static final StatementType CHECK
Deprecated.

### CREATE

public static final StatementType CREATE
Deprecated.

### DELETE

public static final StatementType DELETE
Deprecated.

### DESCRIBE

public static final StatementType DESCRIBE
Deprecated.

### DETACH

public static final StatementType DETACH
Deprecated.

### DROP

public static final StatementType DROP
Deprecated.

### EXISTS

public static final StatementType EXISTS
Deprecated.

### EXPLAIN

public static final StatementType EXPLAIN
Deprecated.

### GRANT

public static final StatementType GRANT
Deprecated.

### INSERT

public static final StatementType INSERT
Deprecated.

### KILL

public static final StatementType KILL
Deprecated.

### OPTIMIZE

public static final StatementType OPTIMIZE
Deprecated.

### RENAME

public static final StatementType RENAME
Deprecated.

### REVOKE

public static final StatementType REVOKE
Deprecated.

### SELECT

public static final StatementType SELECT
Deprecated.

### SET

public static final StatementType SET
Deprecated.

### SHOW

public static final StatementType SHOW
Deprecated.

### SYSTEM

public static final StatementType SYSTEM
Deprecated.

### TRUNCATE

public static final StatementType TRUNCATE
Deprecated.

### UPDATE

public static final StatementType UPDATE
Deprecated.

### USE

public static final StatementType USE
Deprecated.

### WATCH

public static final StatementType WATCH
Deprecated.

### TRANSACTION

public static final StatementType TRANSACTION
Deprecated.

## Method Details

### values

public static StatementType[] values()
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static StatementType valueOf(String name)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null